# Transfer report ownership Transfers ownership of one or more reports to a different user. You can transfer ownership using either reportNames or reportIds. Authorization requirement: The user who obtains the OAuth token must have the Zuora Reporting Administrator role. To get the userId of the new owner, navigate to: Administration Settings > Manage Users > Click the new owner name > In the URL, locate the id value: https://{zuora_endpoint}/apps/UserLogin.do?method=view&id=&... That id is the newOwnerUserId. For detailed usage examples including curl commands, see the Transfer Report Ownership Zuora Knowledge Center article. Endpoint: POST /reporting/api/rest/v1/reports/transfer-ownership Version: 2025-12-17 ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string, required) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). ## Request fields (application/json): - `reportNames` (array) List of report names to transfer. Optional if reportIds is supplied. Example: ["Report 1","Report 2"] - `reportIds` (array) List of report IDs to transfer. Optional if reportNames is supplied. - `newOwnerUserId` (string, required) Unique identifier of the new owner (see "Finding newOwnerUserId" in the description of this operation). Example: "4c85f2b42ba949569a5d15e77c6b9742" ## Response 200 fields ## Response 400 fields ## Response 401 fields ## Response 500 fields